# Funding Dataset API

## Submit Startup Funding Dataset Request

> This API endpoint allows users to access real-time and historical startup funding deals data. Users can search data using various parameters- \`dateType\`,\`startDate\`,\`endDate\`,\`date\`,\`companyDomain\`,\`companyName\`,\`companyIndustry\`,\`companyLocation\`,\`companyType\`,\`companyTicker\`,\`fundingRound\`,\`dealAmount\`, \`valuation\`, \`investor\` and \`currency\`. Users can limit the number of records returned using the \`limit\` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name \`x-api-key\`. NOTE:The startup funding data is typically available for VC funded private companies. The funding data is not available for public companies, non VC funded private companies, government departments, hospitals,universities and other organizations.

```json
{"openapi":"3.0.3","info":{"title":"Intellizence Startup Funding Dataset API","version":"2.0"},"servers":[{"url":"https://api.intellizence.com"}],"paths":{"/api/v2/dataset/fundraising":{"post":{"summary":"Submit Startup Funding Dataset Request","description":"This API endpoint allows users to access real-time and historical startup funding deals data. Users can search data using various parameters- `dateType`,`startDate`,`endDate`,`date`,`companyDomain`,`companyName`,`companyIndustry`,`companyLocation`,`companyType`,`companyTicker`,`fundingRound`,`dealAmount`, `valuation`, `investor` and `currency`. Users can limit the number of records returned using the `limit` parameter. All the parameters are optional. The API key has to be passed in HTTP header with the name `x-api-key`. NOTE:The startup funding data is typically available for VC funded private companies. The funding data is not available for public companies, non VC funded private companies, government departments, hospitals,universities and other organizations.","operationId":"getFundraisingDataset","parameters":[{"name":"x-api-key","in":"header","description":"Intellizence API key for authenticating the request.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Intellizence Startup Funding Dataset request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dataset_fundraising_body"}}}},"responses":{"200":{"description":"Successful response, returns the Intellizence Startup Funding dataset record(s)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"400":{"description":"Bad request, possibly missing required parameters, invalid data, invalid or missing API key"},"404":{"description":"Available credits are 0"},"405":{"description":"Insufficient credits"},"406":{"description":"Invalid deal amount filter format"},"407":{"description":"Invalid valuation amount filter format"},"500":{"description":"Internal server error"}}}}},"components":{"schemas":{"dataset_fundraising_body":{"type":"object","properties":{"dateType":{"type":"string","description":"Choose the date type used to filter records.The default value is 'ANNOUNCED'. To get the daily update of records created or modified, 'LAST-MODIFIED' is recommended.","enum":["ANNOUNCED","LAST-MODIFIED"]},"startDate":{"type":"string","description":"The start date (YYYY-MM-DD) from which funding data is needed. The Intellizence Startup Funding Dataset contains data beginning from 2020-01-01.","format":"date"},"endDate":{"type":"string","description":"The end date (YYYY-MM-DD) up to which funding data is needed.","format":"date"},"date":{"type":"string","description":"Exact date (YYYY-MM-DD) for which the funding data is needed.","format":"date"},"companyName":{"type":"string","description":"The name(s) of the company for which the funding data is needed. Partial name matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyDomain":{"type":"string","description":"The website domain(s) of the company for which the funding data is needed. Partial website domain matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"companyIndustry":{"type":"string","description":"The industry or industries of companies for which funding data is needed. The industries are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided as an array.","enum":["accounting, audit & tax","advertising & communication","agriculture, animal husbandry & forestry","angels/ venture capital/ private equity","automobile","aviation","banking","bio-technology","business services","chemicals & fertilizers","clean technology","conglomerate","consulting","consumer products","consumer services","defence","distribution","e-commerce","economic development","education","energy & utilities","engineering, procurement & construction","financial services","gambling","gaming","government","healthcare","human resources","insurance","it services & outsourcing","legal","logistics & supply chain","manufacturing","media & entertainment","medical device","metals & mining","not-for-profit/ ngo","others","pharmaceuticals","publishing","railways","real estate","regulatory","restaurants & food services","retail","security","shipping & ports","spac/blank check","sports","technology","telecommunication","textiles","tourism & hospitality","trading","transportation"]},"companyLocation":{"type":"string","description":"The location of the company headquarters for which funding data is needed. The location can be city or state/province or country. Multiple values can be provided either as a comma-separated string or as an array."},"companyType":{"type":"string","description":"The type of company or organization for which funding data is needed. The company types are pre-defined by Intellizence and only the values listed below will be accepted. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Public","Private","Government/Regulator","Not-for-profit","Others"]},"companyTicker":{"type":"string","description":"Company Ticker if it's a public company."},"fundingRound":{"type":"string","description":"The funding round for which data is needed. Multiple values can be provided either as a comma-separated string or as an array.","enum":["Angel","Crowdfunding","Pre-Seed","Seed","Post-Seed / Pre-Series A","Series A","Series B","Series C","Series D","Series E","Series F","Series G","Series H","Series I","Series J","Private Equity","Secondary Offering","Venture - Series Unknown","Debt Financing","Corporate Round","Grant"]},"dealAmount":{"pattern":"^(>|>=|<|<=|=|!=)?\\d+(,\\d+)?$","type":"number","description":"Filter the records by funding deal amount. Pass the `currency` whenver `dealAmount` is used. If `currency` is not provided along with `dealAmount`, all the records that matches the deal amount of any currency will be returned. The allowed operators are >, >=, <, <=,=,!=, (MinimumValue),(Maximum Value). Examples: >1000000, >=1000000, <1000000, <=1000000,=1000000,!=1000000, (1000000,400000)","format":"float"},"valuation":{"pattern":"^(>|>=|<|<=|=|!=)?\\d+(,\\d+)?$","type":"number","description":"Filter records based on company valuation. Valuation data is not available for all records and is typically provided only for companies with valuations in the billion-dollar range. The allowed operators are >, >=, <, <=,=,!=, (MinimumValue),(Maximum Value). Examples: >1000000, >=1000000, <1000000, <=1000000,=1000000,!=1000000, 1000000,400000","format":"float"},"investor":{"type":"string","description":"Name of the investor(s) who invested in this round. Partial name matches are supported. Multiple values can be provided either as a comma-separated string or as an array."},"currency":{"type":"string","description":"The currency of the deal transaction.","enum":["USD","CAD","EUR","GBP","INR","AUD","CHF","CNY","JPY","SEK"]},"limit":{"type":"integer","description":"The maximum number of records to be returned."}}},"inline_response_200":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of the record"},"announcedDate":{"type":"string","description":"Funding announced date","format":"date"},"company":{"$ref":"#/components/schemas/inline_response_200_company"},"fundingRound":{"type":"string","description":"Funding Round"},"investors":{"type":"string","description":"Name of the investors who invested in this round"},"leadInvestors":{"type":"string","description":"Name of the lead investors who invested in this round"},"dealAmount":{"type":"number","description":"The deal amount if publicly disclosed.","format":"float"},"valuation":{"type":"number","description":"The valuation amount if publicly disclosed.","format":"float"},"currency":{"type":"string","description":"The currency of the deal transaction."},"lastModified":{"type":"string","description":"The last modified date of the record.","format":"date"},"title":{"type":"string","description":"Source title - News or press release headline"},"url":{"type":"string","description":"URL of the source document"}}},"inline_response_200_company":{"type":"object","properties":{"name":{"type":"string","description":"Company or Venture name"},"domain":{"type":"string","description":"Company website domain"},"industries":{"type":"array","description":"Company industry classification by Intellizence","items":{"type":"string"}},"location":{"type":"string","description":"Company HQ location"},"ticker":{"type":"array","description":"Company stock ticker (if public)","items":{"type":"string"}},"type":{"type":"string","description":"Company type"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/dataset-api/startup-funding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
